%global momorel 2
#
# It is also upgrade the version of openssh-askpass, when upgrade 
# the version of this package.
#
Summary: OpenSSH free Secure Shell (SSH) implementation
Name: openssh
# Version of OpenSSH
%global over 4.3
%global pver 2

Version: %{over}p%{pver}
Release: %{momorel}m
URL: http://www.openssh.com/
%global src0_md5 7e9880ac20a9b9db0d3fea30a9ff3d46
%NoSource 0 ftp://ftp.openbsd.org/pub/OpenBSD/OpenSSH/portable/openssh-%{version}.tar.gz %{src0_md5}
Patch0: sshd_config.patch
Patch1: openssh-3.9p1-noinitlog.patch

License: BSD
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: ssh
Provides: ssh
PreReq: initscripts
Prereq: openssl >= 0.9.8a
BuildPreReq: perl, openssl-devel >= 0.9.7d, tcp_wrappers, glibc-devel
BuildPreReq: util-linux, pam-devel

%package clients
Summary: OpenSSH Secure Shell protocol clients
Requires: openssh = %{version}-%{release}
Group: System Environment/Daemons
Obsoletes: ssh-clients, sftp
Provides: ssh-clients, sftp

%package server
Summary: OpenSSH Secure Shell protocol server (sshd)
Group: System Environment/Daemons
Obsoletes: ssh-server
Provides: ssh-server
Requires: openssh = %{version}-%{release}
PreReq: chkconfig, shadow-utils

%package keysign
Summary: OpenSSH helper program for hostbased authentication
Group: Applications/Internet
Requires: openssh = %{version}-%{release}, openssh-clients = %{version}-%{release}

%description
Ssh (Secure Shell) a program for logging into a remote machine and for
executing commands in a remote machine.  It is intended to replace
rlogin and rsh, and provide secure encrypted communications between
two untrusted hosts over an insecure network.  X11 connections and
arbitrary TCP/IP ports can also be forwarded over the secure channel.

OpenSSH is OpenBSD's rework of the last free version of SSH, bringing it
up to date in terms of security and features, as well as removing all 
patented algorithms to separate libraries (OpenSSL).

This package includes the core files necessary for both the OpenSSH
client and server.  To make this package useful, you should also
install openssh-clients, openssh-server, or both.

%description clients
Ssh (Secure Shell) a program for logging into a remote machine and for
executing commands in a remote machine.  It is intended to replace
rlogin and rsh, and provide secure encrypted communications between
two untrusted hosts over an insecure network.  X11 connections and
arbitrary TCP/IP ports can also be forwarded over the secure channel.

OpenSSH is OpenBSD's rework of the last free version of SSH, bringing it
up to date in terms of security and features, as well as removing all 
patented algorithms to separate libraries (OpenSSL).

This package includes the clients necessary to make encrypted connections
to SSH servers.

%description server
Ssh (Secure Shell) a program for logging into a remote machine and for
executing commands in a remote machine.  It is intended to replace
rlogin and rsh, and provide secure encrypted communications between
two untrusted hosts over an insecure network.  X11 connections and
arbitrary TCP/IP ports can also be forwarded over the secure channel.

OpenSSH is OpenBSD's rework of the last free version of SSH, bringing it
up to date in terms of security and features, as well as removing all 
patented algorithms to separate libraries (OpenSSL).

This package contains the secure shell daemon. The sshd is the server 
part of the secure shell protocol and allows ssh clients to connect to 
your host.

%description keysign
Ssh-keysign is used by ssh(1) to access the local host keys and generate
the digital signature required during hostbased authentication with SSH
protocol version 2.

Since ssh-keysign is a setuid programm, installing it is not recommended
if you do not use hostbased authentication with ssh2.

%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .noinitlog

%build

%ifnarch alpha alphaev5
export CFLAGS="%{optflags}"
%else
export CFLAGS="-O0"
%endif

%configure --sysconfdir=%{_sysconfdir}/ssh \
	--libexecdir=%{_libexecdir}/ssh \
	--with-tcp-wrappers \
	--without-kerberos4 \
	--with-privsep-path=%{_var}/empty/sshd \
%if ! %{_ipv6}
	--with-ipv4-default \
%else
	--with-4in6=yes \
%endif
	--with-pam

%make

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
mkdir -p -m755 %{buildroot}%{_var}/empty/sshd
make install DESTDIR=%{buildroot}

install -d %{buildroot}/etc/pam.d/
install -d %{buildroot}%{_initscriptdir}
install -d %{buildroot}%{_libexecdir}/ssh
install -m644 contrib/redhat/sshd.pam %{buildroot}/etc/pam.d/sshd
install -m755 contrib/redhat/sshd.init %{buildroot}%{_initscriptdir}/sshd
#install -m755 contrib/make-ssh-known-hosts.pl %{buildroot}%{_bindir}/make-ssh-known-hosts
#install -m644 contrib/make-ssh-known-hosts.1 %{buildroot}%{_mandir}/man1
install -m755 contrib/ssh-copy-id %{buildroot}%{_bindir}
install -m644 contrib/ssh-copy-id.1 %{buildroot}%{_mandir}/man1

mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
%if %{_ipv6}
echo 'OPTIONS="-u0"' > %{buildroot}%{_sysconfdir}/sysconfig/sshd
%else
echo 'OPTIONS="-u0 -4"' > %{buildroot}%{_sysconfdir}/sysconfig/sshd
%endif

mkdir -p -m755 %{buildroot}%{_var}/empty/sshd

rm -f %{buildroot}%{_datadir}/Ssh.bin

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post server
/sbin/chkconfig --add sshd
if [ ! -f %{_sysconfdir}/ssh/ssh_host_key -o ! -s %{_sysconfdir}/ssh/ssh_host_key ] ; then
	%{_bindir}/ssh-keygen -t rsa1 -b 1024 -f %{_sysconfdir}/ssh/ssh_host_key -N '' >&2
fi
if [ ! -f %{_sysconfdir}/ssh/ssh_host_dsa_key -o ! -s %{_sysconfdir}/ssh/ssh_host_dsa_key ] ; then
	%{_bindir}/ssh-keygen -t dsa -f %{_sysconfdir}/ssh/ssh_host_dsa_key -N '' >&2
fi
if [ ! -f %{_sysconfdir}/ssh/ssh_host_rsa_key -o ! -s %{_sysconfdir}/ssh/ssh_host_rsa_key ] ; then
	%{_bindir}/ssh-keygen -t rsa -f %{_sysconfdir}/ssh/ssh_host_rsa_key -N '' >&2
fi
if [ -r /var/run/sshd.pid ] ; then
	%{_initscriptdir}/sshd restart >&2
fi

%preun server
if [ "$1" = 0 ] ; then
	%{_initscriptdir}/sshd stop >&2
	/sbin/chkconfig --del sshd
fi

%pre server
/usr/sbin/groupadd -g 74 sshd > /dev/null 2>&1 || :
/usr/sbin/useradd -c "Privilege-separated SSH" -u 74 -g 74 \
        -s /sbin/nologin -r -d /var/empty/sshd sshd 2> /dev/null || :
exit 0

%postun server
if [ $1 = 0 ]; then
    if [ `grep sshd /etc/passwd | wc -l` = 1 ]; then
        /usr/sbin/userdel sshd
    fi
    if [ `grep sshd /etc/group | wc -l` = 1 ]; then
        /usr/sbin/groupdel sshd
    fi
fi

%files
%defattr(-,root,root)
%doc CREDITS ChangeLog LICENCE OVERVIEW INSTALL
%doc README* RFC.nroff TODO WARNING.RNG
%attr(0755,root,root) %{_bindir}/scp
%attr(0755,root,root) %{_bindir}/ssh-keygen
%attr(0755,root,root) %{_bindir}/ssh-keyscan
%attr(0644,root,root) %{_mandir}/man1/scp.1*
%attr(0644,root,root) %{_mandir}/man1/ssh-keygen.1*
%attr(0644,root,root) %{_mandir}/man1/ssh-keyscan.1*
%attr(0644,root,root) %{_mandir}/man5/ssh_config.5*
%attr(0755,root,root) %config(noreplace) %dir %{_sysconfdir}/ssh
%attr(0755,root,root) %dir %{_libexecdir}/ssh
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/ssh/moduli

%files clients
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/ssh
%attr(2755,root,nobody) %{_bindir}/ssh-agent
%attr(0755,root,root) %{_bindir}/ssh-add
%attr(0755,root,root) %{_bindir}/sftp
%attr(0644,root,root) %{_mandir}/man1/ssh.1*
%attr(0644,root,root) %{_mandir}/man1/ssh-agent.1*
%attr(0644,root,root) %{_mandir}/man1/ssh-add.1*
%attr(0644,root,root) %{_mandir}/man1/sftp.1*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/ssh/ssh_config
%attr(-,root,root) %{_bindir}/slogin
%attr(-,root,root) %{_mandir}/man1/slogin.1*
%attr(-,root,root) %{_bindir}/ssh-copy-id
%attr(-,root,root) %{_mandir}/man1/ssh-copy-id.1*

%files server
%defattr(-,root,root)
%dir %attr(0111,root,root) %{_var}/empty/sshd
%attr(0755,root,root) %{_sbindir}/sshd
%attr(0755,root,root) %{_libexecdir}/ssh/sftp-server
%attr(0644,root,root) %{_mandir}/man5/sshd_config.5*
%attr(0644,root,root) %{_mandir}/man8/sshd.8*
%attr(0644,root,root) %{_mandir}/man8/sftp-server.8*
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/ssh/sshd_config
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/sshd
%attr(0644,root,root) %config(noreplace) /etc/pam.d/sshd
%attr(0755,root,root) %config %{_initscriptdir}/sshd


%files keysign
%defattr(-,root,root)
%attr(4711,root,root) %{_libexecdir}/ssh/ssh-keysign
%{_mandir}/man8/ssh-keysign.8*

%changelog
* Tue Mar 21 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (4.3p2-2m)
- rebuild against openssl-0.9.8a

* Mon Feb 13 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (4.3p2-1m)
- update to 4.3p2

* Thu Feb 02 2006 KAJIWARA, Atsushi <kajiwara@noguard.org>
- (4.3p1-1m)
- update to 4.3

* Thu Jan 26 2006 Mitsuru Shimamura <smbd@momonga-linux.org>
- (4.2p1-2m)
- [SECURITY] CVE-2006-0225

* Fri Sep 02 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.2p1-1m)
- update to 4.2

* Mon Aug  8 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (4.1p1-2m)
- ChallengeResponseAuthentication no

* Thu May 26 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.1p1-1m)
- update to 4.1

* Thu Mar 10 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0p1-1m)
- update to 4.0

* Sun Jan 23 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (3.9p1-4m)
- noinitlog for initscripts

* Sun Nov 21 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (3.9p1-3m)
- sunmaso ... (2m ni sashimodoshi)  m(_"_)m

* Sun Nov 21 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (3.9p1-3m)
- modify man directory

* Mon Aug 23 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.9p1-2m)
- added -u0 to sshd option (in /etc/sysconfig/sshd) to suppress DNS request
- changed attribute of /etc/sysconfig/sshd to noreplace

* Thu Aug 19 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.9p1-1m)
- update to 3.9

* Thu Jul 29 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (3.8.1pl-3m)
- modify spec

* Wed Jul 21 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (3.8.1p1-2m)
- modify uid/gid

* Sat Apr 24 2004 Kazuhiko <kazuhiko@fdiary.net>
- (3.8.1p1-1m)
- minor bugfixes

* Wed Mar 31 2004 Kazuhiko <kazuhiko@fdiary.net>
- (3.8p1-1m)
- revise sshd_config.patch

* Tue Mar 30 2004 Kazuhiko <kazuhiko@fdiary.net>
- (3.8p1-1m)
- this version features many improvements and bugfixes

* Thu Mar 25 2004 Toru Hoshina <t@momonga-linux.org>
- (3.7.1p2-2m)
- revised spec for rpm 4.2.

* Wed Sep 24 2003 Kazuhiko <kazuhiko@fdiary.net>
- (3.7.1p2-1m)
- security fixes again

* Wed Sep 17 2003 Kazuhiko <kazuhiko@fdiary.net>
- (3.7.1p1-1m)
- security fixes

* Wed Apr 30 2003 HOSONO Hidetomo <h12o@h12o.org>
- (3.6.1p2-1m)

* Mon Apr  7 2003 Yuya Yamaguchi <bebe@hepo.jp>
- (3.6.1p1-1m)
- update to 3.6.1

* Tue Apr  1 2003 HOSONO Hidetomo <h13o@h12o.org>
- (3.6p1-1m)

* Wed Mar  5 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (3.5p1-5m)
  rebuild against openssl-0.9.7a

* Thu Feb 27 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (3.5p1-4m)
- openssh-askpass and openssh-askpass-gnome are separated from 
  openssh base package.

* Wed Dec 25 2002 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.5p1-3m)
- change URI of x11-ssh-askpass tar ball (thanks to NARITA Koichi [Momonga-devel.ja:01144])
- delete comment lines
- always include all files(by zaki)

* Sat Dec  7 2002 HOSONO Hidetomo <h12o@h12o.org>
- (3.5p1-2m)
- rebuild against openssl-0.9.6h
- remove unnecessary comment
- correct a misspelled comment :-)

* Sun Oct 20 2002 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.5p1-1m)
- update to 3.5p1
- port gnome-ssh-askpass[12] from contrib/redhat/openssh.spec
  cf. RedHat: Use contrib/ Makefile for building askpass programs
- change default gtk2 1
- change ssh-agent from attr(0755,root,root) to attr(2755,root,nobody)
  cf. RedHat: Install ssh-agent setgid nobody to prevent ptrace() key theft attacks
- change BuildPreReq gnome-libs-devel to pkgconfig

* Fri Sep 20 2002 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (3.4p1-5m)
- add portable version to Version:
- %%no_x11_askpass and %%no_gnome_askpass can now be defined
  by command line arguments.
- add %%{?include_specopt}
- rsh support was deprecated, so remove BuildPrereq: rsh
- add ssh_config(5) man page
- add ssh-keysign sub package.
  since ssh-keysign(8) is a setuid programm and only needed
  during hostbased authentication with protocol version 2,
  installing it is not recommened.

* Thu Aug  1 2002 HOSONO Hidetomo <h@h12o.org>
- (3.4-4m)
- correct some wrong spelling of trojan(ed)

* Thu Aug  1 2002 HOSONO Hidetomo <h@h12o.org>
- (3.4-3m)
- stop building in %prep when trojaned openssh-3.4p1.tar.gz is find

* Tue Jun 27 2002 Masahiro Takahata <takahata@mtaka.com>
- (3.4-2k)
- upgrade to 3.4

* Thu Jun 25 2002 Junichiro Kita <kita@kitaj.no-ip.com>
- (3.3-4k)
- specify package name for papre and postun
- add sshd_config.5

* Thu Jun 25 2002 Junichiro Kita <kita@kitaj.no-ip.com>
- (3.3-2k)
- update to 3.3p1
- useradd/groupadd sshd for privilege separation

* Thu May 23 2002 Tsutomu Yasuda <tom@kondara.org>
- (3.2.3-2k)
  update to 3.2.3p1

* Fri May 17 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (3.2.2p1-6k)
- add --with-4in6=yes configure option if _ipv6 is defined as 1

* Fri May 17 2002 HOSONO Hidetomo <h@kondara.org>
- (3.2.2p1-4k)
- change Prereq and BuildPreReq(openssl-0.9.6c or later).

* Fri May 17 2002 WATABE Toyokazu <toy2@kondara.org>
- (3.2.2p1-2k)
- update to 3.2.2p1 to fix several security ploblems.
  see http://marc.theaimsgroup.com/?l=openssh-unix-dev&m=102158874317836&w=2
- move scp to openssh package.

* Wed May  1 2002 WATABE Toyokazu <toy2@kondara.org>
- (3.1p1-6k)
- apply a patch.
  see http://marc.theaimsgroup.com/?l=openssh-unix-dev&m=101982330707988&w=2

* Fri Apr 12 2002 Yasuhiro Takabayashi <kourin@kondara.org>
- (3.1p1-4k)
- fix spec about rsa1 problem.

* Fri Mar  8 2002 Tsutomu Yasuda <tom@kondara.org>
- (3.1p1-2k)
- update to 3.1p1

* Tue Feb 19 2002 Shingo Akagaki <dora@Kondara.org>
- (3.0.2p1-8k)
- Obsoletes: sftp

* Sun Feb 17 2002 WATABE Toyokazu <toy2@kondara.org>
- (3.0.2p1-6k)
- be available sftp and its manual.

* Sun Dec  9 2001 Toru Hoshina <t@kondara.org>
- (3.0.2p1-4k)
- applied init patch.
- See. [Kondara-devel.ja:06055]

* Tue Dec  4 2001 Toru Hoshina <t@kondara.org>
- (3.0.2p1-2k)
- update to 3.0.2p1
- suma-so.

* Tue Nov 20 2001 Tsutomu Yasuda <tom@kondara.org>
- (3.0.1p1-2k)
  update to 3.0.1p1

* Mon Nov 12 2001 Tsutomu Yasuda <tom@kondara.org>
- (3.0p1-2k)
  update to 3.0p1

* Thu Oct 18 2001 Toru Hoshina <t@kondara.org>
- (2.9.9p2-4k)
- rebuild against gettext 0.10.40.

* Sun Sep 30 2001 MATSUDA< Daiki <dyky@df-usa.com>
- (2.9.9p2-2k)
- update to 2.9.9p2 for security fix (http://www.securityfocus.com/bid/3369)
- update x11-ask-pass to 1.2.4.1
- rename /etc/ssh/primes to /etc/ssh/moduli for fixing original source

* Mon Sep 24 2001 Toru Hoshina <t@kondara.org>
- (2.9p2-16k)
- suid of /usr/bin/ssh is turned off.
- scp should be in ssh-clients.

* Fri Sep 21 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (2.9p2-14k)
  fix spec

* Sun Sep  9 2001 Toru Hoshina <t@kondara.org>
- (2.9p2-8k)
- rebuild against XFree 4.1.0, applied x11-askpass-1.2.2-xf41.patch, however
  it might be wrong for X403 environment.

* Tue Aug  7 2001 Toru Hoshina <toru@df-usa.com>
- (2.9p2-6k)
- add alphaev5 support.

* Sun Jul 16 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.9p2-4k)
- update to 2.9p2 for openssl security fix
- so, modified add version '0.9.6b' to openssl required tag

* Fri Jun 22 2001 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (2.9p2-3k)
- update to 2.9p2
- delete openssh-2.9-cookies.patch 
  since it is already imported into source

* Sat Jun 16 2001 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (2.9p1-9k)
- added openssh-2.9-cookies.patch (from FreeBSD's openssh-portable port)
  this patch fixed the problem of
  http://www.securityfocus.com/archive/1/188450
- BuildPreReq: pam => pam-devel

* Thu May  3 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>                     
- (2.9p1-4k)
  added %{_sysconfdir}/sysconfig/sshd

* Thu May  3 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>                     
- (2.9p1-2k)                                                                    
  openssh update to 2.9p1                                                       
  x11-askpass update to 1.2.2

* Thu Apr 19 2001 Kenichi Matsubara <m@kondara.org>
- (2.5.2p2-10k)
- remove sftp,sftp.man.

* Sat Apr 14 2001 Toru Hoshina <toru@df-usa.com>
- (2.5.2p2-8k)
- rebuild against openssl 0.9.6.

* Sat Mar 24 2001 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (2.5.2p2-3k)
- update to 2.5.2p2

* Thu Mar 22 2001 Toru Hoshina <toru@df-usa.com>
- (2.5.2p1-7k)
- support gtk+1-1.2.9

* Thu Mar 22 2001 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (2.5.2p1-5k)
- when creating ssh_host_dsa_key, use "-t dsa" instead of "-d".
- create ssh_host_rsa_key (RSA key for protocol ver.2) on %%post.
- uncommentout "HostKey /etc/ssh/ssh_host_rsa_key"

* Wed Mar 20 2001 TABUCHI Takaaki <tab@kondara.org>
- (2.5.2p1-3k)
- update to 2.5.2p1
- change openssh-kondara.patch adapt for openssh-2.5.2p1.
  (and comment out "HostKey /etc/ssh/ssh_host_rsa_key".
   If you want to use this function, maybe you need to 
   add exec ssh-keygen at post server section in this spec file.)
- comment out make-ssh-known-hosts at install,
  because this file is deleted in openssh tarball.
  (This file is not listed in files section. miss?)
- add ssh-copy-id, ssh-copy-id.1* in clients files section

* Thu Mar  1 2001 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- (2.5.1p2-3k)
- update to 2.5.1p2

* Wed Feb 28 2001 TABUCHI Takaaki <tab@kondara.org>
- (2.5.1p1-5k)
- add --with-pam at configure
- comment out ssh-keyscan* at files for clients package

* Mon Feb 23 2001 TABUCHI Takaaki <tab@kondara.org>
- (2.5.1p1-3k)
- update to 2.5.1p1
- comment out patch1(openssh-init.patch)
- remove README.Ylonen, COPYING.Ylonen
- update x11-ssh-askpass for 1.2.0
- add /etc/ssh/primes at files
- fix missed directory /etc/ssh/primes
- change permission 600 to 644 /etc/pam.d/sshd

* Mon Feb 05 2001 WATABE Toyokazu <toy2@kondara.org>
- (2.3.0p1-13k)
- use _sysconfdir macro.
- add make-ssh-known-hosts and ssh-copy-id.
* Sat Feb  3 2001 MATSUDA, Daiki <dyky@df-usa.com>
- (2.3.0p1-11k)
- rebuild againt rpm-3.0.5-39k
* Tue Nov 28 2000 Toru Hoshina <toru@df-usa.com>
- (2.3.0p1-7k)
- use _initscriptdir macro to keep backword compatibility.
* Thu Nov 16 2000 Toyokazu WATABE <toy2@kondara.org>
- (2.3.0p1-5k)
- update gnome-ssh-askpass.* made by h@kondara.org.
* Wed Nov 15 2000 Toyokazu WATABE <toy2@kondara.org>
- (2.3.0p1-3k)
- update x11-ssh-askpass for 1.1.1
- modified install of x11-ssh-askpass.
* Tue Nov 07 2000 Toyokazu WATABE <toy2@kondara.org>
- (2.3.0p1-2k)
- update x11-ssh-askpass for 1.1.0
- add openssh-init.patch
* Tue Nov 07 2000 Toyokazu WATABE <toy2@kondara.org>
- (2.3.0p1-1k)
- update openssh for 2.3.0p1
- update openssh-kondara.patch
- remove sshd.init
* Mon Oct 30 2000 Toyokazu WATABE <toy2@kondara.org>
- (2.2.0p1-4k)
- update ssh-askpass for 1.0.3
* Mon Oct 16 2000 Toyokazu WATABE <toy2@kondara.org>
- (2.2.0p1-2k)
- update ssh-askpass for 1.0.2
* Fri Sep 15 2000 Toyokazu WATABE <toy2@kondara.org>
- (2.2.0p1-1k)
- Adopt to FHS-2.1
* Sat Sep 02 2000 Toyokazu WATABE <toy2@kondara.org>
- (2.2.0p1-0k)
- add openssh-2.2.0p1-kondara.patch
* Tue Aug 08 2000 Damien Miller <djm@mindrot.org>
- Some surgery to sshd.init (generate keys at runtime)
- Cleanup of groups and removal of keygen calls
* Wed Jul 12 2000 Damien Miller <djm@mindrot.org>
- Make building of X11-askpass and gnome-askpass optional
* Thu Jun 15 2000 Toyokazu Watabe <toy2@kondara.org>
- add openssh-2.1.1p1-kondara.patch
  fix config files and these pathes.
* Mon Jun 12 2000 Damien Miller <djm@mindrot.org>
- Glob manpages to catch compressed files
* Sat Jun 10 2000 Toyokazu Watabe <toy2@kondara.org>
- update for 2.1.1p1
* Mon May 29 2000 Hidetomo Hosono <h@kondara.org>
- patched for contrib/gnome-ssh-askpass.c
  because of the problem with grabbing X server and command arguments dealing.
  (very quick and ad-hoc hack)
* Wed May 10 2000 Toyokazu Watabe <toy2@kondara.org>
- update for 2.1.0
* Sun Mar 26 2000 Tenkou N. Hattori <tnh@kondara.org>
- be a NoSrc :-P
* Wed Mar 15 2000 Damien Miller <djm@ibs.com.au>
- Updated for new location
- Updated for new gnome-ssh-askpass build
* Sun Dec 26 1999 Damien Miller <djm@mindrot.org>
- Added Jim Knoble's <jmknoble@pobox.com> askpass
* Mon Nov 15 1999 Damien Miller <djm@mindrot.org>
- Split subpackages further based on patch from jim knoble <jmknoble@pobox.com>
* Sat Nov 13 1999 Damien Miller <djm@mindrot.org>
- Added 'Obsoletes' directives
* Tue Nov 09 1999 Damien Miller <djm@ibs.com.au>
- Use make install
- Subpackages
* Mon Nov 08 1999 Damien Miller <djm@ibs.com.au>
- Added links for slogin
- Fixed perms on manpages
* Sat Oct 30 1999 Damien Miller <djm@ibs.com.au>
- Renamed init script
* Fri Oct 29 1999 Damien Miller <djm@ibs.com.au>
- Back to old binary names
* Thu Oct 28 1999 Damien Miller <djm@ibs.com.au>
- Use autoconf
- New binary names
* Wed Oct 27 1999 Damien Miller <djm@ibs.com.au>
- Initial RPMification, based on Jan "Yenya" Kasprzak's <kas@fi.muni.cz> spec.
